Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6232 - Security issue with autofs
Summary: Security issue with autofs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 10:32 UTC by ggm
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-02 14:23:20 UTC


Attachments (Terms of Use)

Description ggm 1999-10-22 10:32:17 UTC
I was having a play around with autofs.  The default
installation provides a mount point of /misc/cd which will
mount /dev/cdrom.

Say, for instance, I have a suid root bash shell burned onto
a CD.  I can gain root access.  That easy.

The solution would be to distribute the default
/etc/auto.misc to have the cd mount point with the
parameters -fstype=iso9660,nosuid,nodev,noexec to be safer.

Comment 1 Nalin Dahyabhai 2000-02-02 14:23:59 UTC
The nosuid and nodev flags will be added to the defaults for autofs-3.1.4-2 and
later.

I don't believe adding noexec would make anything safer, and it would certainly
annoy anyone trying to install software from a disc with an installer on the CD
itself (lots of unhappy Quake III players, not a pretty thought).  But I'm not a
security expert.  If you know of any holes that remain open by not adding
noexec, please reopen this bug and I'll take a closer look.


Note You need to log in before you can comment on or make changes to this bug.